summaryrefslogtreecommitdiffhomepage
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index fe1d4687df..c05b1a263c 100755
--- a/build.sh
+++ b/build.sh
@@ -78,6 +78,7 @@ function restore_metadata_backups() {
mv mullvad-daemon/Cargo.toml.bak mullvad-daemon/Cargo.toml || true
mv mullvad-cli/Cargo.toml.bak mullvad-cli/Cargo.toml || true
mv mullvad-problem-report/Cargo.toml.bak mullvad-problem-report/Cargo.toml || true
+ mv talpid-openvpn-plugin/Cargo.toml.bak talpid-openvpn-plugin/Cargo.toml || true
mv dist-assets/windows/version.h.bak dist-assets/windows/version.h || true
popd
}
@@ -92,7 +93,8 @@ sed -i.bak \
-Ee "s/^version = \"[^\"]+\"\$/version = \"$SEMVER_VERSION\"/g" \
mullvad-daemon/Cargo.toml \
mullvad-cli/Cargo.toml \
- mullvad-problem-report/Cargo.toml
+ mullvad-problem-report/Cargo.toml \
+ talpid-openvpn-plugin/Cargo.toml
SEMVER_ARRAY=($(echo $SEMVER_VERSION | sed -Ee 's/[.-]+/ /g'))
SEMVER_MAJOR=${SEMVER_ARRAY[0]}